Skip to content

PrivGroup⁠

Perform various operations for Symitar parameters.

Operations⁠

getPrivGroupSelectFields⁠

POST

Execute the persistent ParameterService getPrivGroupSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

PrivGroupGroupintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getPrivGroupSelectFields
POST /nexum/627/persistent/parameter/getPrivGroupSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "PrivGroupGroup": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllPrivGroupFields": true,
    "PrivGroupFields": {
      "AssignablebyMemberUser": true,
      "Description": true,
      "Group": true,
      "SecurityAmount": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getPrivGroupPagedListSelectFields⁠

POST

Execute the persistent ParameterService getPrivGroupPagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getPrivGroupPagedListSelectFields
POST /nexum/627/persistent/parameter/getPrivGroupPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllPrivGroupFields": true,
    "PrivGroupFields": {
      "AssignablebyMemberUser": true,
      "Description": true,
      "Group": true,
      "SecurityAmount": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchPrivGroupPagedSelectFields⁠

POST

Execute the persistent ParameterService searchPrivGroupPagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchPrivGroupPagedSelectFields
POST /nexum/627/persistent/parameter/searchPrivGroupPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllPrivGroupFields": true,
    "PrivGroupFields": {
      "AssignablebyMemberUser": true,
      "Description": true,
      "Group": true,
      "SecurityAmount": [
        0
      ]
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updatePrivGroupByID⁠

POST

Execute the persistent ParameterService updatePrivGroupByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

PrivGroupGroupintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updatePrivGroupByID
POST /nexum/627/persistent/parameter/updatePrivGroupByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "PrivGroupGroup": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PrivGroupFields": {
    "AssignablebyMemberUser": 0,
    "Description": "string",
    "Group": 0,
    "SecurityAmount": [
      {
        "EntryId": 0,
        "SecurityAmount": 0
      }
    ]
  },
  "nxAttributes": {
    "customFields": {}
  }
}